Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching.sourcelookup.containers
Class ClasspathContainerSourceContainer

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
              org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
                  org.eclipse.jdt.launching.sourcelookup.containers.ClasspathContainerSourceContainer

All Implemented Interfaces:
  IAdaptable, ISourceContainer

public class ClasspathContainerSourceContainer
extends CompositeSourceContainer

A source container for a classpath container.

This class may be instantiated; this class is not intended to be subclassed.

Since:
  3.0

Field Summary
`static String` | `TYPE_ID` Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.classpathContainer`).

Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`EMPTY`

Constructor Summary
`ClasspathContainerSourceContainer(IPath containerPath)` Constructs a new source container for the given classpath container.

Method Summary
`protected ISourceContainer[]` | `createSourceContainers()`
`boolean` | `equals(Object obj)`
`IClasspathContainer` | `getClasspathContainer()` Returns the associated container or `null` if unavailable.
`String` | `getName()`
`IPath` | `getPath()` Returns the classpath container's path
`ISourceContainerType` | `getType()`
`int` | `hashCode()`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
`dispose, findSourceElements, findSourceElements, getSourceContainers, isComposite`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`abort, getDirector, getSourceContainerType, init, isFindDuplicates`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### TYPE_ID

    public static final String TYPE_ID

  Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.classpathContainer`).

Constructor Detail

### ClasspathContainerSourceContainer

    public ClasspathContainerSourceContainer(IPath containerPath)

  Constructs a new source container for the given classpath container.

Parameters:
  `containerPath` - classpath container path

Method Detail

### getName

    public String getName()

### getType

    public ISourceContainerType getType()

### createSourceContainers

    protected ISourceContainer[] createSourceContainers()
                                                 throws CoreException

  Throws:
    `CoreException`

### getPath

    public IPath getPath()

  Returns the classpath container's path

  Returns:
    classpath container's path

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getClasspathContainer

    public IClasspathContainer getClasspathContainer()
                                              throws CoreException

  Returns the associated container or `null` if unavailable.

  Returns:
    classpath container or `null`
  Throws:
    `CoreException` - if unable to retrieve container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.